Classify Livestream Content

Post a link to classify streaming video content for a specified duration.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

The Livestream endpoint uses Claravine AI to classify streaming video content along with associated metadata when available. IAB Categories and GARM Safety are returned by default. Multiple “add-on” modules are also available, which provide additional data elements to include.

IAB Classification

The content is classified into the IAB Categories, and when appropriate, into IAB subcategories. The data are expressed in a multi-label classification format with multi-tier predictions collapsed by key, when appropriate.

Content Safety

The Safety model implements the GARM guidelines for content safety. The safety key provides an assessment of the visual contents in conjunction with metadata.

The risk key is an overall safety estimate of video content into High, Medium, and Low. We recommend using the Risk key as the determinant for triage.

In addition to the risk characterization, we also provide the specific type(s) of the offending content. The GARM categories we cover are Terrorism, Death Injury or Military Conflict, Adult & Explicit Sexual Content, Hate Speech, Illegal Drugs, Crime & Harmful Acts, Sensitive Social Issues, Spam & Harmful Content, Obscenity & Profanity, and Arms & Ammunition.

Note: The GARM class itself and risk are orthogonal to each other and provide a consistent, transparent, and clear way of flagging unsafe segments within the content.

Scenes

The scenes collection is keyed by the time offset with two sub dictionaries:

  • context: The objects, and categories of the objects (based on IAB taxonomy).
  • safety: Shows a risk score and in addition, if risk is “Medium” or ”High”, the key includes the offending GARM category.

Depending on the selected add-ons, corresponding items are included (e.g., object, place, activity, etc.).

Note: Scene-level safety is aggregated into a video level safety assessment in the Summary key. A number of add-on modules are available to include during processing (outlined below).

Use Delete to End a Stream

To end a stream, use a DELETE function as shown:

curl -X DELETE -H "Authorization: Bearer qmCxmW8R1YPDOzuAHbykBLScqepD4eDu" https://api1.netra-video.com/v73/livestream?request_id=0c7367fd-aac9-4125-9108-24d3c2cbee5a 


The endpoint URL and auth token will remain the same, and you can replace the request_id with the one(s) you'll be receiving directly for the stream. You should receive a response like this when successfully cancelling a stream:

'{
    "code": 200,
    "body": null
}'

Response

Upon making a successful request you should receive an acknowledgment callback in the format shown.

In the event of an error, the callback would include an error message with the appropriate HTTP error code (e..g 4xx or 5xx) . A 2xx message indicates that the request was accepted successfully.

Body Params
string
required

Required. Link to the content file to be processed. Please ensure this link is valid (e.g., http://some/video.mp4).

int32
required

Set the number of seconds between callback and video chunks to be analyzed.

callback_url
array of strings
required

Required. Link to the callback server. This must be a valid URL for video processing (e.g., http://callback/url/). Can support multiple callback URLs.

callback_url*
string
Defaults to empty

The content title text, if available; e.g., My little pony.

string
Defaults to empty

Content description, if available; e.g., Friendship is magic….

string
Defaults to empty

Content tags separated by commas; e.g., toys, children, animation.

extra_data
array of strings
Defaults to empty

Custom field for data inclusion and association with the asset to be processed. This value is a pass-through and isn’t used for categorization or processing. Supports alphanumeric characters.

extra_data
boolean
Defaults to false

Includes the text-on-screen that is visible throughout the video as part of the video processing and categorization.

boolean
Defaults to false

Includes the objects visible within the videos ordered by their frequency of appearance. The objects associated with each content are obtained using visual analysis.

boolean
Defaults to false

Includes affinities associated with this content.

boolean
Defaults to false

Includes the emotions spectrum detected within the videos. Emotions are based on the Plutchik wheel of emotions.

boolean
Defaults to false

Includes the places (locations) detected (default = True) obtained by visual analysis of video.

boolean
Defaults to false

Includes the activities detected within the video.

boolean
Defaults to false

Includes the demographics (age range, ethnicity, and gender) of humans detected within the video.

boolean
Defaults to false

Includes the brand logos (top 100 brands) detected within the video.

boolean
Defaults to false

Audio language detected in video asset.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json